PUT /api/v3/list/{listId}/export

Export all bills in a list to ap or gl Maximum of 10000 bills can be processed at one time.

ExportBillListV3 Permissions: ExportBills (Run)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
listId The list identifier integer (int32) Required

Request Body

BillExportOptions
Property Description Type
exportMode The export mode to use. Valid values are ‘AP’, ‘GL’, ‘Payment’ Required One of ‘ap’, ‘gl’, ‘payment’ string
exportNote Optional note/comment. Required (defined) string
fileName Optional filename to use for the export file. Filenames may only contain alphanumeric characters, dashes, underscores, or periods. Required (defined) string
markAsExported Flag to mark bills as exported after the export is complete. Required boolean
Example Request Body application/json
{  "exportMode": "string",  "exportNote": "string",  "fileName": "string",  "markAsExported": false
}

Responses

200 OK The request succeeded and the response body contains the requested data.
204 No Content The request succeeded. No content is returned in the response body.